### Function

# Gimp checks_get_colors

unstable since: 3.0

#### Declaration [src]

    void
    gimp_checks_get_colors (
      GimpCheckType type,
      GeglColor** color1,
      GeglColor** color2
    )

#### Description [src]

Retrieves the colors to use when drawing a checkerboard for a certain `GimpCheckType` and custom colors. If `type` is `GIMP_CHECK_TYPE_CUSTOM_CHECKS`, then `color1` and `color2` will remain untouched, which means you must initialize them to the values expected for custom checks.

To obtain the user-set colors in Preferences, just call:

    GimpRGB color1 = *(gimp_check_custom_color1 ());
    GimpRGB color2 = *(gimp_check_custom_color2 ());
    gimp_checks_get_colors (gimp_check_type (), &color1, &color2);

Available since: 3.0

#### Parameters

`type`

  Type: `GimpCheckType`

  The checkerboard type.

`color1`

  Type: `GeglColor`

  Current custom color and return location for the first color.

  The argument will be modified by the function.
  The caller of the function takes ownership of the data, and is responsible for freeing it.

`color2`

  Type: `GeglColor`

  Current custom color and return location for the second color.

  The argument will be modified by the function.
  The caller of the function takes ownership of the data, and is responsible for freeing it.